WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Last.Fm Records

This plugin shows cd covers for cds your listened to, according to last.fm. It can show covers in a page or post, and you can add it as a widget.

1.7.4

  • fixed a bug where album covers were not shown for your topalbums (thanks to wordpress.org user nszumowski for solving the bug for me)

1.7.3

  • added topArtists to the period options. Thanks to matthew_darcy for suggesting it.
  • fixed some typos in the readme.txt

1.7.2

Fixed the stylesheet issue that was fixed in 1.7.1

1.7.1

  • only load javascript when widget or shortcode is found on the page
  • get last.fm username from settings when not specified in shortcode
  • stylesheet fixes (resizing of covers)
  • fixed logging to console (doubt anyone cares but me)

1.7

  • restructured the code, the javascript now is a jQuery plugin
  • added a WordPress shortcode
  • changed "you have to" into "please" in the last.fm.records.js file

1.6.2

  • fixed periods tracks7day, tracks6month, tracks12month and tracksoverall

1.6.1

  • last.fm added a new check, fixed it in the javascript
  • moved donation notification below settings
  • revised list of periods (see Options)

1.6

  • plugin code adds jQuery dynamically when not included in theme
  • rewritten configuration page using WordPress Settings API
  • the plugin now uses the timezone you have set in WordPress
  • added option to open links in new screen
  • processed buglist

1.5.5

  • added a check for the links back to last.fm

1.5.4

  • you can choose different styles (it's still possible to disable this and use your own stylesheet)
  • changed code for widget functionality to the way it should be for WP2.8 and up
  • name of div is no longer in settings, as it can be confusing
  • [lastfmrecords|period|count] is back! Use it in your pages and posts!

1.5.3

  • fixed an issue where the width of the image was not actually set

1.5.2

  • selecting a period is back

1.5.1

  • total rewrite, works again under PHP4
  • now works under WordPress 2.8
  • can be used on any site without WordPress (see readme.txt)
  • auto refresh (in minutes) added to settings

Requires: 3.0 or higher
Compatible up to: 3.5.2
Last Updated: 2013-4-28
Downloads: 41,068

Ratings

3 stars
4 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

0,1,0
100,1,1
0,2,0
0,3,0
33,6,2
0,1,0
100,1,1
100,1,1
67,3,2
0,1,0
50,2,1
100,1,1
0,1,0
0,1,0
100,1,1 0,1,0
0,1,0
100,1,1
100,1,1